@echo off
cls
echo.
echo                       SVGA256 PATCH (By Yannick Gauthier)
echo @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
echo.
echo This patch will make your "SVGA256.DRV" VESA-compliant.
echo Note: To apply this patch, "SVGA, 256-colors" drivers must be installed.
echo.
echo Proceed with installation? (Y/N)
choice /c:YN /n
if errorlevel=2 goto quit
if errorlevel=1 goto next


:next
if not exist SVGA256.DRV goto missing
if exist C:\WINDOWS\SYSTEM\SVGA256.DRV goto proceed
if not exist C:\WINDOWS\SYSTEM\SVGA256.DRV goto error


:missing
echo.
echo.
echo FAILURE: "SVGA256.BAT" and "SVGA256.DRV" must be in the same directory.
echo.
pause
goto quit


:proceed
echo.
echo.
del C:\WINDOWS\SYSTEM\SVGA256.DRV
copy SVGA256.DRV C:\WINDOWS\SYSTEM
echo.
echo.
echo The patch has applied successfully.
echo.
pause
goto quit


:error
echo.
echo.
echo FAILURE: You must install "SVGA, 256-colors" drivers before applying this patch.
echo.
pause
goto quit


:quit
cls